---
updatedAt: 2026-05-12T10:00:55.000Z
---

# Retrieve attack vectors for a vulnerability

This operation returns an object containing information about the specified vulnerability's attack vectors. Attack vector (AV) data can be shaped by the display parameters for this operation.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-explorer-enabled": false,
  "info": {
    "title": "Vuln API (Legacy)",
    "license": {
      "name": "(c) Copyright 2020 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/vuln/{vuln_id}/attack_vector": {
      "get": {
        "tags": [
          "Vuln API v1.0"
        ],
        "summary": "Retrieve attack vectors for a vulnerability",
        "description": "This operation returns an object containing information about the specified vulnerability's attack vectors. Attack vector (AV) data can be shaped by the display parameters for this operation.",
        "operationId": "getAttackVectors",
        "parameters": [
          {
            "name": "vuln_id",
            "in": "path",
            "description": "Vulnerability ID.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "display_attack_vectors",
            "in": "query",
            "description": "Display attack vector (AV) data.<br/>Values allowed: 0, 1, open, closed, accepted, invalid, all.<br/>Specifying 0 displays minimal data on open, closed, and accepted AVs.<br/>Specifying 1 displays details on open, closed, and accepted AVs.<br/>Specifying 'all' displays details on AVs of all statuses.<br/>Specifying 'open' displays details on open AVs.<p>With the exception of 0, 1, and 'all', comma-separated combinations of these options are also allowed.<br/> EXAMPLE: 'open,accepted'</p>",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "display_attack_vectors_limit",
            "in": "query",
            "description": "Specify the maximum number of attack vectors to display for this vulnerability.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 5
            }
          },
          {
            "name": "display_has_notes",
            "in": "query",
            "description": "Display whether or not notes exist for each attack vector.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_attack_vector_notes",
            "in": "query",
            "description": "Display attack vector notes for each attack vector.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_attack_vector_flagged",
            "in": "query",
            "description": "Display the 'flagged' value for each attack vector.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_attack_vector_scanner_tags",
            "in": "query",
            "description": "Display scanner tags for each attack vector.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_attack_vector_unreachable",
            "in": "query",
            "description": "Displays attack vectors that have the given ''unreachable'' status. If a vector has this flag set to TRUE (1), a retest on the vector returned a response that was significantly different from the original response, indicating a very different page is now associated with the attack vector path.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_request",
            "in": "query",
            "description": "Display attack vector (AV) request information. Displayed by default, but can be omitted from output by setting this flag to 0.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "1",
              "example": "1",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_response",
            "in": "query",
            "description": "Display attack vector (AV) response information. Displayed by default, but can be omitted from output by setting this flag to 0.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "1",
              "example": "1",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_body",
            "in": "query",
            "description": "Display attack vector response body. Response body data returned may be quite large. Note that if display_response=0, this param is meaningless.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_body_match",
            "in": "query",
            "description": "Display attack vector response body match. The body match is a portion of the body. Body match data returned may be quite large, and will include a HTML-tagged highlight of the vulnerability. Note that if display_response=0, this param is meaningless.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_abbr",
            "in": "query",
            "description": "Display an abbreviated body match as part of the attack vector response content. PREREQUISITE: display_body=1",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_headers",
            "in": "query",
            "description": "Display attack vector request and response headers. Note that this param is meaningless if display_request=0 and display_response=0, since headers are a part of these.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "0",
              "example": "0",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "display_param",
            "in": "query",
            "description": "Display attack vector request parameter name and value. Displayed by default, but can be omitted from output by setting this flag to 0. Note that if display_request=0, this param is meaningless.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "1",
              "example": "1",
              "enum": [
                "0",
                "1"
              ]
            }
          },
          {
            "name": "format",
            "in": "query",
            "description": "Requested resource format for the response.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "xml",
              "example": "json",
              "enum": [
                "json",
                "xml"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Provides data for the specified vulnerability's attack vectors.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AttackVectorCollection"
                }
              },
              "application/xml": {
                "example": "XML preview is currently not supported."
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "Headers": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        }
      },
      "Response": {
        "type": "object",
        "properties": {
          "status": {
            "type": "number"
          },
          "error": {
            "type": "number"
          },
          "body": {
            "properties": {
              "content": {
                "type": "string"
              }
            },
            "type": "object"
          },
          "body_match": {
            "properties": {
              "content": {
                "type": "string"
              }
            },
            "type": "object"
          },
          "headers": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Headers"
            }
          }
        }
      },
      "Request": {
        "type": "object",
        "properties": {
          "method": {
            "type": "string",
            "nullable": true
          },
          "param_value": {
            "type": "string",
            "nullable": true
          },
          "param_name": {
            "type": "string",
            "nullable": true
          },
          "url": {
            "type": "string",
            "nullable": true
          },
          "headers": {
            "type": "array",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Headers"
            }
          }
        }
      },
      "Note": {
        "type": "object",
        "nullable": true,
        "properties": {
          "id": {
            "type": "string"
          },
          "author": {
            "type": "string"
          },
          "created": {
            "type": "string",
            "format": "date-time"
          },
          "content": {
            "type": "string"
          }
        }
      },
      "VulnTags": {
        "type": "array",
        "description": "A list of replacement tags to be submitted.",
        "items": {
          "type": "string"
        }
      },
      "AttackVector": {
        "type": "object",
        "properties": {
          "tested": {
            "type": "string"
          },
          "flagged": {
            "type": "number"
          },
          "request": {
            "$ref": "#/components/schemas/Request"
          },
          "has_notes": {
            "type": "number"
          },
          "state": {
            "type": "string"
          },
          "found": {
            "type": "string"
          },
          "response": {
            "$ref": "#/components/schemas/Response"
          },
          "id": {
            "type": "string"
          },
          "opened": {
            "type": "string"
          },
          "notes": {
            "$ref": "#/components/schemas/Notes"
          },
          "scanner_tags": {
            "$ref": "#/components/schemas/VulnTags"
          },
          "auth_details": {
            "type": "string"
          },
          "unreachable": {
            "type": "number",
            "nullable": true
          }
        }
      },
      "AttackVectors": {
        "type": "array",
        "default": [],
        "items": {
          "$ref": "#/components/schemas/AttackVector"
        }
      },
      "AttackVectorCollection": {
        "type": "object",
        "properties": {
          "collection": {
            "$ref": "#/components/schemas/AttackVectors"
          },
          "type": {
            "type": "string"
          }
        }
      },
      "Notes": {
        "type": "array",
        "nullable": true,
        "default": [],
        "items": {
          "$ref": "#/components/schemas/Note"
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```